package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyHealthRecordPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyHealthRecordDO;

public interface ElderlyHealthRecordService {
    void add(ElderlyHealthRecordDO elderlyHealthRecordDO);

    ElderlyHealthRecordDO getElderHealthRecordByElderId(Long elderId);

    void delete(Long elderlyHealthRecordId);

    PageResult<ElderlyHealthRecordDO> queryPage(ElderlyHealthRecordPageReqVO pageReqVO);

    void edit(ElderlyHealthRecordDO elderlyHealthRecordDO);
}
